package cz.moneta.test.dsl.ufo.banka.pages.main.client.settings;

import cz.moneta.test.dsl.ufo.banka.pages.cards.credit.NKK002_OBR001_ConfirmationPage;
import cz.moneta.test.dsl.ufo.banka.pages.cards.credit.OPN008_S001_SignContractPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS004_S002_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS046_S001_DocumentsProvidedToClientPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.VER017_S001_SecondBankerVerificationStatusPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.expres.OPN008_S001_ExpressSignaturePage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.TIS051_OBR001_ContractDocumentationPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.consolidation.UDC007_S002_LetterPrintPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface VDB001_S001_SecondBankerJoiningPageTransitions extends WebFlow<VDB001_S001_SecondBankerJoiningPageTransitions> {

    TIS051_OBR001_ContractDocumentationPage onContractDocumentationPage();

    OPN008_S001_ExpressSignaturePage onExpressSignaturePage();

    OPN008_S001_SignContractPage onSignContractPage();

    TIS004_S002_SignerSelectionPage onSignerSelectionPage();

    UDC007_S002_LetterPrintPage onLetterPrintPage();

    PSP004_S001_PrintPage onPrintPage();

    VER017_S001_SecondBankerVerificationStatusPage onSecondBankerVerificationPage();

    NKK002_OBR001_ConfirmationPage onConfirmationPage();

    TIS046_S001_DocumentsProvidedToClientPage onDocumentProvided();
}
